// Copyright (C) Nikita Tseykovets, 25 march - 15 september 2019.
var game = {
	title: 'Страж Великой империи',
	author: 'Никита Цейковец &lt;<a href="mailto:tseikovets@rambler.ru?subject=Страж%20Великой%20империи">tseikovets@rambler.ru</a>&gt;',
	version: '1.1',
	year: 2019,
	ageRating: '12+',
	ifid: 'D0AF619E-A9E5-4A56-97F6-5EDB487C2A29',
	info: 'Псевдоисторический парсерный текстовый квест.<br><br>Если вы играете впервые, то введите команду «<em>помощь</em>».<br>',
	tests: false,
	emptyCommandMsg: 'Что, простите?',
	longCommandMsg: 'Команда должна состоять не более чем из двух слов, так что поумерьте это своё словоблудие.',
	maxScore: 10,
	notLoadedMsg: 'Ошибка загрузки. Игра не загружена.',
	notSavedMsg: 'Ошибка сохранения. Игра не сохранена.',
	noThingMsg: 'Здесь нет такого предмета.',
	noWayMsg: 'В этом направлении не пройти.',
	overburdenMsg: 'У вас уже заняты обе руки, и не вам, жалкому червю, сомневаться в замысле творца, создавшего вас способным носить не более двух предметов одновременно.',
	placedHereMsg: 'А ещё здесь есть ',
	unknownCommandMsg: 'Команда непонятна, так что давайте как-нибудь попроще и поинформативнее.',
	about: 'protoparser.js<br>Версия: 6(145)<br>protoparser.js is copyright (c) 2018 Alexey Galkin, released under the MIT license.<br>terminal.js is copyright (c) 2014 Erik Österberg, 2018 Alexey Galkin, released under the MIT license.<br>Fragmentary modifications of protoparser.js and terminal.js is copyright (c) 2019 Nikita Tseykovets <tseikovets@rambler.ru>, released under the MIT license.<br>Актуальная версия protoparser.js, а также текст лицензии доступны на странице проекта <a href="https://johnbrown90210.gitlab.com/protoparser.js" style="color: brown;">https://johnbrown90210.gitlab.com/protoparser.js</a>.',
	help: '<div style="font-weight: bold; text-align: center;" role="heading" aria-level="2">Как в это играть?</div><br>Попробуйте представить себя на месте главного героя и пишите те действия, которые он должен выполнить. Следует выражаться кратко и лаконично в форме простых односоставных инфинитивных предложений, как правило, отвечающих на вопрос «что сделать?»<br><br>Команда должна состоять не более чем из двух слов (за исключением некоторых предлогов): либо только название действия, например, «<em>осмотреться</em>» (или просто «<em>о</em>»), либо название действия и объекта, к которому его следует применить, например, «<em>осмотреть себя</em>» (или просто «<em>о себя</em>»). Регистр и лишние пробелы не учитываются.<br><br>Исследуйте игровой мир, осматривая и другими способами изучая находящиеся в нём объекты, взаимодействуйте с персонажами игры и различными предметами, которые будут встречаться в процессе прохождения. Внимательно относитесь к текстовым описаниям, в том числе выводимым при более детальном исследовании различных объектов, так как в любом из них может содержаться ключ или подсказка для решения загадок игры.<br><br><div style="font-weight: bold; text-align: center;" role="heading" aria-level="2">Основные принципы</div><br>Для перемещения по игровому миру используйте команды из названий соответствующих направлений, в частности, сторон света: «<em>север</em>» (или просто «<em>с</em>»), «<em>запад</em>» (или просто «<em>з</em>»), «<em>северо-запад</em>» (или просто «<em>сз</em>») и так далее, а также  «<em>вверх</em>» и «<em>вниз</em>» (или просто «<em>вв</em>» и «<em>вн</em>» соответственно).<br><br>Для совершения различных действий внутри игрового мира используйте наиболее очевидные глаголы в неопределённой форме, например, «<em>прислушаться</em>», «<em>ждать</em>» (или просто «<em>ж</em>»), «<em>открыть/закрыть что-то</em>» (или просто «<em>откр/закр</em>» соответственно) и так далее.<br><br>Для получения информации о предметах, которые несёт главный герой, используйте команду «<em>инвентарь</em>» (или просто «<em>и</em>»).<br><br>С командами «<em>взять/бросить что-то</em>» (или просто «<em>вз/бр</em>» соответственно) вместо названия конкретного предмета можно использовать ключевое слово «<em>все</em>», чтобы взаимодействовать сразу со всеми предметами в локации, которые можно взять, или всеми предметами в инвентаре, которые можно бросить.<br><br>Командой «<em>повтор</em>» (или просто «<em>п</em>») можно повторить выполнение последнего действия, сохранённого в истории команд.<br><br><div style="font-weight: bold; text-align: center;" role="heading" aria-level="2">Системные команды</div><br><ul><li>«<em>Сохранить &#91имя&#93</em>» — сохраняет текущее состояние игры под заданным именем;</li><li>«<em>Загрузить &#91имя&#93</em>» — загружает сохранённое состояние игры с заданным именем;</li><li>«<em>Заново</em>» — перезапускает игру;</li><li>«<em>История</em>» — выводит список команд, сохранённых в истории команд;</li><li>«<em>Счёт</em>» (или просто «<em>сч</em>») — выводит текущий счёт и количество сделанных ходов с начала игры;</li><li>«<em>Версия</em>» — выводит информацию о версии protoparser.js и лицензиях;</li><li>«<em>Очистка</em>» — удаляет с экрана лог игры;</li><li>«<em>Лог</em>» — выводит доступный для копирования лог игры в отдельном окне браузера;</li><li>«<em>Справка</em>» — выводит краткую справочную информацию по управлению игрой.</li></ul><div style="font-weight: bold; text-align: center;" role="heading" aria-level="2">Горячие клавиши</div><br><ul><li>«<em>Север</em>» — Numpad 8;</li><li>«<em>юг</em>» — Numpad 2;</li><li>«<em>Восток</em>» — Numpad 6;</li><li>«<em>Запад</em>» — Numpad 4;</li><li>«<em>Северо-восток</em>» — Numpad 9;</li><li>«<em>Северо-запад</em>» — Numpad 7;</li><li>«<em>Юго-восток</em>» — Numpad 3;</li><li>«<em>Юго-запад</em>» — Numpad 1;</li><li>«<em>Вверх</em>» — Numpad .;</li><li>«<em>Вниз</em>» — Numpad 0;</li><li>«<em>Осмотреться</em>» — Numpad 5;</li><li>«<em>Инвентарь</em>» — Numpad /;</li><li>«<em>Счёт</em>» — Numpad *;</li><li>«<em>Повтор</em>» — Numpad +;</li><li>«<em>Справка</em>» — F1;</li><li>«<em>Версия</em>» — F2;</li><li>«<em>История</em>» — F6;</li><li>«<em>Лог</em>» — F8;</li><li>Добавление команды из истории команд в строку ввода (от последней к более ранним) — Стрелка вверх;</li><li>Добавление команды из истории команд в строку ввода (от самой первой к более поздним) — Стрелка вниз.</li></ul>',
	sing: 'В сложившейся ситуации это представляется неуместным.',
	think: 'Время думать прошло, настало время действовать.',
	wait: 'Прошло немного времени.',
	pour: 'Это имеет смысл только в отношении жидких вещей.',
	touch: 'Вы не чувствуете ничего необычного.',
	glb_turn: 0,
	glb_pray: 0,
	glb_xyzzy: 0,
	glb_reward: [1, 1, 1, 1, 1, 1],
	ignoredPrepositions: ['близ', 'в', 'вдоль', 'во', 'возле', 'вокруг', 'за', 'из', 'из-за', 'из-под', 'к', 'ко', 'между', 'на', 'над', 'около', 'от', 'перед', 'по', 'под', 'поперек', 'поперёк', 'с', 'сквозь', 'со', 'среди', 'у', 'через']
}

var player = {
	nam: ['вы', 'себя', 'себе', 'себя', 'собой', 'себе', 'я', 'меня', 'мне', 'мной', 'рука', 'руки', 'руке', 'руку', 'рукой', 'рук', 'рукам', 'руками', 'руках'],
	desc: 'Вы выглядите как обычный недокормленный рахитичный подросток.',
	loc: 'nearTower',
	hidden: true,
	maxCarried: 4,
	wake: function() {
		p(game.wake)
		return true
	},
	touch: function() {
		p('В детстве вас учили, что это делать нехорошо.')
		return true
	}
}

var globalVerbs = {
	attack: function(obj, option, verb) {
		p('Нет смысла пытаться '+verb+' '+obj.nam[3]+'.')
		return true
	},
	burn: function(obj, option, verb) {
		if(altar.loc === player.loc || torch.loc === player.loc || torch.loc === 'player' || (boiler.loc === player.loc && boiler.burning))
			p('Нет смысла пытаться '+verb+' '+obj.nam[3]+'.')
		else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	},
	cut: function(obj, option, verb) {
		if(knife.loc === 'player')
			p('Нет смысла пытаться '+verb+' '+obj.nam[3]+'.')
		else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	},
	jump: function() {
		if(player.loc === 'lowerRoom')
			p('Вы подпрыгиваете, хотя на второй этаж ведёт лестница, так что было бы логичнее просто подняться по ней вверх.')
		else if(player.loc === 'upperRoom') {
			if(tripod.loc === player.loc)
				p('Вы подпрыгиваете, хотя здесь есть высокий треножник, так что было бы логичнее просто подняться по нему вверх.')
			else
				p('Вы подпрыгиваете, но дыра в потолке слишком высоко, так что до неё так не достать.')
		} else
			p('Непонятно зачем, но вы подпрыгиваете.')
		return true
	},
	jumpOver: function(obj, option, verb) {
		p('Нет смысла пытаться '+verb+' '+obj.nam[3]+'.')
		return true
	},
	kiss: function(obj, option, verb) {
		p('Вы не испытываете к '+obj.nam[2]+' настолько сильных чувств.')
		return true
	},
	listen: function(obj, option, verb) {
		if(typeof obj === 'undefined') {
			if(player.loc === 'lowerRoom' || player.loc === 'quarry' || player.loc === 'church')
				return false
			else
				p('С юга доносится низкий монотонный гул, как будто кто-то высыпает бездонный мешок картошки на твёрдую землю.')
		} else
			p('От '+obj.nam[1]+' вы не слышите ничего необычного, а вот общий шум усиливается.')
		return true
	},
	places: function() {
		p('В этой игре данная функция не работает.')
		return true
	},
	saveGame: function(obj, optional, verb, fileName) {
		if(!game.noSaveLoad)
			save(fileName) ? p(game.savedMsg+' Загрузить это сохранение можно командой «<em>загрузить '+fileName+'</em>».') : p(game.notSavedMsg)
		else
			p(game.saveForbiddenMsg)
		return true
	},
	screw: function(obj, option, verb) {
		p('Нет смысла пытаться '+verb+' '+obj.nam[3]+'.')
		return true
	},
	tie: function(obj, option, verb) {
		p('Нет смысла пытаться '+verb+' '+obj.nam[3]+'.')
		return true
	},
	rub: function(obj, option, verb) {
		p('С вас хватит вчерашних упражнений с котлом, так что нет никакого желания чистить что-либо ещё, в том числе и '+obj.nam[3]+'.')
		return true
	},
	wake: function(obj, option, verb) {
		if(typeof obj === 'undefined')
			return false
		else
			p('Довольно странно пытаться разбудить '+obj.nam[3]+'.')
		return true
	}
}

var events = {
	onIntro: function() {
		p('<div style="font-weight: bold; text-align: center;">***</div>')
		p('— Великая империя, благословлённая небом, доверила вам важнейшую миссию защиты своих южных рубежей от орд кочевников. Её войны должны быть бесстрашны, а границы непреступны. Сегодня, в день празднования восьмого года вечного правления Священной династии, ваши ряды пополняются ещё одним стражем, который встаёт вместе с вами плечом к плечу на этом посту, стерегущем спокойствие нашей страны. — с этими словами, военный комендант, подвёзший вас на своей повозке от приграничного города до самой удалённой заставы, которую он приезжал проверять раз в год, громко высморкался, вытер руку о полу своего халата и отвесил вам увесистую затрещину, от которой вы пробежали несколько шагов, чтобы не упасть. — Приступай к службе. — бросил он и полез обратно в повозку, мельком взглянув на покосившуюся сторожевую башню, дабы убедиться, что она всё ещё стоит.')
		p('— Иди чисти котёл, а мы пойдём на праздник в деревню. — буркнул самый молодой воин, явно почувствовавший с вашим появлением повышение собственного статуса и подсказавший вам правильное направление ещё одной затрещиной.')
		p('Весь вечер вы чистили грязный котёл, прислушиваясь к громким крикам со стороны деревни, а за этим делом и не заметили, как в итоге заснули. Очнулись же вы ранним утром, услышав странный нарастающий гул, но уже совсем с другой стороны.')
		gameCommands.attack[1].push('бить', 'молотить', 'колотить')
		gameCommands.burn[1].push('палить', 'запалить', 'подпалить', 'жарить', 'пожарить', 'зажарить', 'поджарить')
		gameCommands.clear = ['clear', ['очистка'], 0, 'sysCom']
		gameCommands.close[1].push('закр')
		gameCommands.down[1].push('спуститься')
		gameCommands.drop[1].push('бр')
		gameCommands.eat[1].push('пить', 'выпить', 'лизать', 'лизнуть', 'вылизать')
		gameCommands.examine[1].push('оглядеть', 'оглядеться', 'г', 'ос', 'ис', 'огл', 'изуч', 'посмотреть', 'заглянуть', 'выглянуть')
		gameCommands.inventory[1].push('ин')
		gameCommands.kiss[1].push('обнять', 'ласкать', 'приласкать')
		gameCommands.listen[1].push('прислушаться', 'насторожиться')
		gameCommands.open[1].push('отк', 'откр')
		gameCommands.repeat[1].push('еще', 'ещё')
		gameCommands.rub[1].push('чистить', 'очистить', 'почистить', 'вычистить', 'вытереть', 'мыть', 'вымыть', 'помыть', 'мести', 'вымести', 'подмести')
		gameCommands.say[1].push('кричать', 'прокричать', 'крикнуть', 'выкрикнуть', 'орать', 'проорать')
		gameCommands.score[1].push('очков', 'ходов', 'статус')
		gameCommands.smell[1].push('обнюхать')
		gameCommands.take[1].push('вз')
		gameCommands.up[1].push('подняться')
		gameCommands.wait[1].push('ж')
		gameCommands.wake= ['wake', ['проснуться', 'пробудиться', 'разбудить', 'пробудить', 'будить'], -1]
		gameCommands.goIn= ['goIn', ['войти', 'зайти', 'внутрь', 'подойти', 'идти'], -1]
		gameCommands.goOut= ['goOut', ['выйти', 'уйти', 'наружу'], 0]
		gameCommands.pour = ['pour', ['лить', 'налить', 'перелить', 'отлить', 'вылить', 'залить', 'набрать', 'черпать', 'черпнуть', 'зачерпнуть', 'вычерпать'], 1]
		gameCommands.pray = ['pray', ['молиться', 'помолиться', 'молить', 'помолить'], 0]
		gameCommands.touch= ['touch', ['щупать', 'пощупать', 'ощупать', 'трогать', 'потрогать', 'гладить', 'погладить', 'огладить', 'лапать', 'полапать', 'облапить'], 1]
		gameCommands.xyzzy= ['xyzzy', ['xyzzy', 'ксиззи', 'чняян', 'эюяяю'], 0]
		spreading([horseshoe, mouse, nail, shard, walnut], ['road1', 'road2', 'road3', 'road4', 'road5', 'road6', 'road7', 'road8', 'road9'])
	},
	beforeAll: function(com, obj) {
		if(obj === cloud) {
			if(com === 'examine') {
				(!obj.examined) ? obj.examined = 1 : obj.examined++
				if(player.loc === 'nearTower') {
					p('Пылевое облако, надвигающееся с юга из пустыни. Оно растянулось на весь горизонт и растёт буквально на глазах. Низко у земли пыль особенно густая, так что отсюда подробностей не разглядеть.')
					p('Сейчас облако в '+cloud.steps+' шаг'+numok(cloud.steps, 'е', 'ах', 'ах')+' и продолжает приближаться.')
					if(!obj.stepsReported) {
						p('Да-да, ничего удивительного, ведь у вас с рождения замечательный глазомер, наряду с потрясающим чувством направления. Если бы не ваша тщедушность, то возможно попали бы в лучники, а не в пограничную стражу.')
						obj.stepsReported = true
					}
				} else {
					p('Пылевое облако, надвигающееся с юга из пустыни. Оно растянулось на весь горизонт и растёт буквально на глазах. Отсюда удаётся увидеть его чуть сверху и различить в клубах пыли всадников и повозки кочевников, которых в этих краях не было уже более полувека, так что они стали восприниматься просто как страшная сказка.')
					p('Сейчас облако в '+cloud.steps+' шаг'+numok(cloud.steps, 'е', 'ах', 'ах')+' и продолжает приближаться.')
					if(!obj.stepsReported) {
						p('Да-да, ничего удивительного, ведь у вас с рождения замечательный глазомер, наряду с потрясающим чувством направления. Если бы не ваша тщедушность, то возможно попали бы в лучники, а не в пограничную стражу.')
						obj.stepsReported = true
					}
					rewardCalc(0)
				}
			} else if(com === 'goIn') goIn(obj)
			else p('Пылевое облако слишком далеко.')
			return true
		}
		if(obj === hatch) {
			if(com === 'examine') {
				if(player.loc != 'roof') {
					(!ladder.examined) ? ladder.examined = 1 : ladder.examined++
					p(ladder.desc)
					return true
				}
			}
		}
		if(obj === ground) {
			if(com === 'examine') {
				var loc = player.loc
				var targetObj
				if(loc === 'nearTower' || loc === 'slope') targetObj = path
				else if(loc === 'lowerRoom' || loc === 'upperRoom' || loc === 'roof') targetObj = floor
				else if(loc === 'quarry') targetObj = traces
				else if(loc === 'chapel') targetObj = decoration
				else targetObj = road
				if(!targetObj.examined) targetObj.examined = 1
				else targetObj.examined++
				p(targetObj.desc)
				return true
			}
		}
		if(obj === wall || obj === floor || obj === ceiling) {
			if(com === 'examine') {
				var loc = player.loc
				if(loc === 'quarry') {
					(!traces.examined) ? traces.examined = 1 : traces.examined++
					p(traces.desc)
					return true
				}
				if(loc === 'chapel') {
					(!decoration.examined) ? decoration.examined = 1 : decoration.examined++
					p(decoration.desc)
					return true
				}
			}
		}
		if(obj === tower || obj === hollow || obj === huts) {
			if(com === 'examine') {
				(!obj.examined) ? obj.examined = 1 : obj.examined++
				p(obj.desc)
			} else if(com === 'goIn') goIn(obj)
			else p(caps(obj.nam[0])+' слишком далеко.')
			return true
		}
		if(obj === ceiling) {
			if(com === 'examine') {
				(!obj.examined) ? obj.examined = 1 : obj.examined++
				p('Потолок с дырой, через которую в помещение попадает дневной свет.')
			} else p('Потолок слишком высоко.')
			return true
		}
		if(obj === all) {
			if(com != 'take' && com != 'drop') {
				p('Ваш взгляд жадно прыгает с предмета на предмет, но вам нужно выбрать что-то одно.')
				return true
			}
		}
	},
	afterAll: function() {
		if(game.turn != game.glb_turn && !game.stopped) {
			game.glb_turn = game.turn
			cloud.steps -= 20
			if(ground.loc != player.loc)
				ground.loc = player.loc
			if(player.loc === 'chapel')
				rewardCalc(3)
			if(player.loc === 'quarry') {
				if(quarry.mouses) {
					p('Откуда-то из под потолка срывается стая потревоженных вами летучих мышей и вылетает наружу с противным писком. Похоже, люди здесь бывают редко.')
					quarry.mouses = false
				}
				quarry.timeInside++
				if(quarry.timeInside === 6 && boiler.loc === 'roof' && boiler.burning)
					cloud.steps = 0
			} else {
				if(quarry.timeInside != 0)
					quarry.timeInside = 0
			}
			if(coin.loc === 'player' && player.loc === 'square') {
				p('Не успев пройти пары шагов, вы вдруг почувствовали страшный удар по голове, как будто само небо обрушилось на вас, прогневавшись на ваше кощунственное поведение.')
				p('Видно это утро, когда на Великую империю надвигалась страшная угроза из пустыни, небеса решили начать с наведения порядка в собственной пастве, сочтя слишком вольное поведение в молельнях более существенной причиной дисгармонии.')
				if(boiler.loc === 'roof' && boiler.burning)
					p('Конечно, вы исполнили свой долг перед Великой империей, но в полной мере насладиться плодами этого вам уже не суждено.')
				else
					p('Главное, вы так и не исполнили свой долг перед Великой империей, да и погибли не очень-то по-геройски.')
				end(0)
				return true
			}
			if(player.loc === 'roof')
				rewardCalc(4)
			if(torch.loc != '') {
				torch.size -= 1
				if(torch.size < 0) {
					if(torch.loc === 'player' || torch.loc === player.loc)
						p('Факел, продолжавший всё это время тлеть, полностью сгорел.')
					remove(torch)
				} else {
					if(torch.size < 14) {
						var status = torch.sizeArr[torch.size]
						torch.desc = 'Факел из колотушки, сгоревший на '+status+'.'
						if(torch.loc === 'player' || torch.loc === player.loc)
							p('Продолжающий тлеть факел сгорел уже на '+status+'.')
					}
				}
			}
			if(cloud.steps <= 0) {
				var loc = player.loc
				if(loc === 'nearTower' || loc === 'slope') {
					if(boiler.loc === 'roof' && boiler.burning)
						p('Внезапно на тропе появилось полтора десятка всадников, привлечённых башней на вершине холма. Заметив вашу фигуру, они громко заулюлюкали и погнали вас как зайца. Что ж, в Великой империи должны уже знать об их появлении, потому что вы исполнили свой долг, только вот лично вам это никак не поможет.')
					else
						p('Внезапно на тропе появилось полтора десятка всадников, привлечённых башней на вершине холма. Заметив вашу фигуру, они громко заулюлюкали и погнали вас как зайца. Что ж, в Великой империи в любом случае скоро узнают об их появлении, правда вот вряд ли окажутся к этому готовы, потому что вы не исполнили свой долг.')
					p('Последнее, что вы успели услышать, — это леденящий кровь в жилах боевой клич кочевников: «ТРОЛОЛОЛОЛО!!!»')
				} else if(loc === 'lowerRoom' || loc === 'upperRoom' || loc === 'roof') {
					if(boiler.loc === 'roof' && boiler.burning)
						p('Внезапно на улице раздался шум, а через мгновение в башню ворвалось полтора десятка кочевников, привлечённых непривычным для них сооружением. Что ж, в Великой империи должны уже знать об их появлении, потому что вы исполнили свой долг, только вот лично вам это никак не поможет.')
					else
						p('Внезапно на улице раздался шум, а через мгновение в башню ворвалось полтора десятка кочевников, привлечённых непривычным для них сооружением. Что ж, в Великой империи в любом случае скоро узнают об их появлении, правда вот вряд ли окажутся к этому готовы, потому что вы не исполнили свой долг.')
					p('Последнее, что вы успели услышать, — это леденящий кровь в жилах боевой клич кочевников: «ТРОЛОЛОЛОЛО!!!»')
				} else if(loc === 'quarry') {
					p('Внезапно снаружи раздался шум, и вы поняли, что облако из пустыни дошло до холма, различив в мешанине звуков стук копыт и гортанные выкрики кочевников. Однако ваше убежище никто не обнаружил, и через какое-то время всё стихло.')
					if(boiler.loc === 'roof' && boiler.burning) {
						p('Впрочем, уже днём вы снова услышали знакомый шум, но на этот раз с северной стороны. С вершины холма вы с удовлетворением наблюдали паническое бегство кочевников, которых подгоняла бравая кавалерия Великой империи, вовремя поднятая по вашему сигналу.')
						p('За проявленную отвагу и верную службу вам была дарована милость в виде возможности поцеловать левую туфлю наместника южных земель Великой империи, после чего вас отправили обратно строить новую сторожевую башню, потому что старая всё-таки обрушилась, не выдержав всех злоключений встречи с кочевниками. Но это уже совсем другая история...')
						game.points += 4
						end(1)
						return true
					} else {
						p('Вам удалось сохранить свою ничтожную жизнь, трусливо спрятавшись как крыса в норе. Вы не исполнили свой долг перед Великой империей и покрыли своё имя несмываемым позором.')
						p('Впрочем, когда вы вышли из каменоломни и, беспрестанно прячась за каждым придорожным холмиком, дошли через пару дней до ближайшего города, то поняли, что Великой империи больше нет. И всё это по вашей вине!')
					}
				} else if(loc === 'square') {
					if(boiler.loc === 'roof' && boiler.burning)
						p('Внезапно со стороны пустыни на площадь ворвалось полтора десятка всадников, а вы заметались между ними как испуганная курица. Что ж, в Великой империи должны уже знать об их появлении, потому что вы исполнили свой долг, только вот лично вам это никак не поможет.')
					else
						p('Внезапно со стороны пустыни на площадь ворвалось полтора десятка всадников, а вы заметались между ними как испуганная курица. Что ж, в Великой империи в любом случае скоро узнают об их появлении, правда вот вряд ли окажутся к этому готовы, потому что вы не исполнили свой долг.')
					p('Последнее, что вы успели услышать, — это леденящий кровь в жилах боевой клич кочевников: «ТРОЛОЛОЛОЛО!!!»')
				} else if(loc === 'chapel') {
					p('Внезапно на улице поднялся шум, и вы догадались, что облако дошло до деревенской площади, различив в мешанине звуков стук копыт и гортанные выкрики кочевников.')
					p('Двери молельни чем-то подпёрли, а через пару минут вы почувствовали запах дыма, поняв, что здание подожгли. Пошёл отсчёт последних мгновений вашей жизни.')
					if(boiler.loc === 'roof' && boiler.burning)
						p('Конечно, вы исполнили свой долг перед Великой империей, но в полной мере насладиться плодами этого вам уже не суждено.')
					else
						p('Главное, вы так и не исполнили свой долг перед Великой империей, да и погибли не очень-то по-геройски.')
					p('Последнее, что вы успели услышать, — это леденящий кровь в жилах боевой клич кочевников: «ТРОЛОЛОЛОЛО!!!»')
				} else {
					p('Вы упорно двигались по дороге в сторону города, пытаясь не обращать внимание на возникшую боль в боку. Однако расстояние оказалось слишком велико для не очень выносливого пешего человека, к тому же в таком неравном соревновании.')
					if(boiler.loc === 'roof' && boiler.burning)
						p('В какой-то момент, шум сзади резко приблизился, а обернувшись, вы увидели мчащихся на вас в клубах поднятой пыли всадников. Что ж, в Великой империи должны уже знать об их появлении, потому что вы исполнили свой долг, только вот лично вам это никак не поможет.')
					else
						p('В какой-то момент, шум сзади резко приблизился, а обернувшись, вы увидели мчащихся на вас в клубах поднятой пыли всадников. Что ж, в Великой империи в любом случае скоро узнают об их появлении, правда вот вряд ли окажутся к этому готовы, потому что вы не исполнили свой долг.')
					p('Последнее, что вы успели услышать, — это леденящий кровь в жилах боевой клич кочевников: «ТРОЛОЛОЛОЛО!!!»')
				}
				end(0)
			}
		}
	}
}

function rewardCalc(id) {
	if(game.glb_reward[id] != 0) {
		reward(game.glb_reward[id])
		game.glb_reward[id] = 0
	}
}

var all = {
	spec: 'thing',
	nam: ['все', 'всего', 'всему', 'все', 'всем', 'всем', 'всё'],
	loc: 'player',
	hiddenPossession: true,
	take: function() {
		var items = getObjByKV('loc', player.loc)
		if(items.length > 0) {
			var taken = 0
			for (var i in items) {
				if(items[i].takeable) {
					items[i].take ? items[i].take() : take(items[i])
					taken++
				}
			}
			if(taken < 1)
				p('Здесь нет ничего, что можно было бы забрать с собой.')
		} else p('Здесь нет ничего, что можно было бы забрать с собой.')
		return true
	},
	drop: function() {
		var inventory = getObjByKV('loc', 'player')
		if(inventory.length > 1) {
			var dropn = 0
			for (var i in inventory) {
				if(inventory[i] != all && !inventory[i].worn) {
					inventory[i].drop ? inventory[i].drop() : drop(inventory[i])
					dropn++
				}
			}
			if(dropn < 1)
				p('У вас с собой нет ничего, что можно было бы здесь оставить.')
		} else p(game.playerHasNothingMsg)
		return true
	}
}

var talisman = {
	spec: 'thing',
	nam: ['талисман', 'талисмана', 'талисману', 'талисман', 'талисманом', 'талисмане'],
	desc: 'Талисман, который вам дала мать, провожая на воинскую службу и наказав никогда его не снимать.',
	loc: 'player',
	takeable: true,
	worn: true,
	disrobe: function() {
		p('Ваша мать наказывала никогда не снимать этот талисман.')
		return true
	},
	drop: function() {
		p('Нельзя так обращаться с талисманом от матери.')
		return true
	},
	untie: function() {
		return this.disrobe(this)
	},
	cut: function(obj, option, verb) {
		if(knife.loc === 'player')
			return this.drop(this)
		else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	}
}

var nearTower = {
	spec: 'room',
	head: 'Возле башни',
	desc: 'Ровная площадка на небольшой возвышенности, на восточном краю которой стоит покосившаяся от старости сторожевая башня, обозначающая самую удалённую точку южных рубежей Великой империи. В южном направлении простирается бескрайняя пустыня Диких земель, где виднеется пылевое облако, а вниз на север уходит узкая тропинка к ближайшей деревне.',
	n: 'slope',
	e: 'lowerRoom',
	d: 'slope',
	walk: function(obj, dir) {
		if(dir === 's') {
			p('Вам нечего делать в пустыне, да к тому же размеры пылевого облака скорей заставляют задуматься о необходимости бежать в противоположном направлении.')
			return true
		}
		if(dir === 'u') {
			p('Вы не уверены, что у вас получится залезть вверх по стене башни, а поскольку вход в неё расположен тут же на востоке, нет желания и пробовать.')
			return true
		}
	},
	i: 'e',
	o: 'n',
}

var tower = {
	spec: 'thing',
	nam: ['сторожевая башня', 'сторожевой башни', 'сторожевой башне', 'сторожевую башню', 'сторожевой башней', 'сторожевой башне', 'старая', 'старой', 'старую', 'сигнальная', 'сигнальной', 'сигнальную', 'камни', 'камней', 'камням', 'камнями', 'камнях', 'камень', 'камня', 'камню', 'камнем', 'камне', 'площадка', 'площадки', 'площадке', 'площадку', 'площадкой', 'вершина', 'вершины', 'вершине', 'вершину', 'вершиной', 'возвышенность', 'возвышенности', 'возвышенностью', 'холм', 'холма', 'холму', 'холмом', 'холме'],
	desc: 'Старая покосившаяся сторожевая башня с сигнальной площадкой на вершине, сложенная из плохо отёсанных камней.',
	loc: ['nearTower', 'slope', 'square'],
	hidden: true
}

var cloud = {
	spec: 'thing',
	nam: ['пылевое облако', 'пылевого облака', 'пылевому облаку', 'пылевое облако', 'пылевым облаком', 'пылевом облаке', 'пыль', 'пыли', 'пылью', 'бескрайняя пустыня', 'бескрайней пустыни', 'пустыне', 'бескрайнюю пустыню', 'дикие земли', 'диких земель', 'диким землям', 'дикими землями', 'диких землях', 'горизонт', 'горизонта', 'горизонту', 'горизонтом', 'горизонте', 'всадники', 'всадников', 'всадникам', 'всадниками', 'всадниках', 'всадник', 'всадника', 'всаднику', 'всадником', 'всаднике', 'повозки', 'повозок', 'повозкам', 'повозками', 'повозках', 'повозка', 'повозке', 'повозку', 'повозкой', 'клубы', 'клубов', 'клубам', 'клубами', 'клубах', 'кочевники', 'кочевников', 'кочевникам', 'кочевниками', 'кочевниках', 'кочевник', 'кочевника', 'кочевнику', 'кочевником', 'кочевнике', 'вид', 'вида', 'виду', 'видом', 'виде', 'окрестность', 'окрестности', 'окрестностью', 'окрестностей', 'окрестностям', 'окрестностями', 'окрестностях'],
	loc: ['nearTower', 'upperRoom', 'roof'],
	hidden: true,
	steps: 3000
}

var path = {
	spec: 'thing',
	nam: ['тропинка', 'тропинки', 'тропинке', 'тропинку', 'тропинкой', 'тропинке', 'тропа', 'тропы', 'тропе', 'тропу', 'тропой', 'тропка', 'тропки', 'тропке', 'тропку', 'тропкой', 'извилистая', 'извилистой', 'извилистую', 'убегающая', 'убегающей', 'убегающую'],
	desc: 'Извилистая тропинка, убегающая на север в сторону деревни, куда вчера ушли все остальные войны.',
	loc: ['nearTower', 'slope'],
	hidden: true
}

var ground = {
	spec: 'thing',
	nam: ['земля', 'земли', 'земле', 'землю', 'землёй', 'землей'],
	loc: player.loc,
	hidden: true
}

var boiler = {
	spec: 'thing',
	nam: ['котёл', 'котла', 'котлу', 'котёл', 'котлом', 'котле', 'котелок', 'котелка', 'котелку', 'котелком', 'котелке', 'грязный', 'грязного', 'грязному', 'грязным', 'грязном', 'грязь', 'грязи', 'грязью'],
	desc: 'Ужасно грязный котёл, который вы вчера пытались очистить песком весь вечер, но безрезультатно. Наверное это такой специальный котёл для новобранцев, чтобы их чем-нибудь занять.',
	loc: 'nearTower',
	takeable: true,
	filled: false,
	burning: false,
	burn: function(obj, option, verb) {
		if(this.burning)
			p('Смола в котле итак уже горит.')
		else if(this.filled && torch.loc === 'player') {
			if(this.loc === 'player') {
				p('Вы поджигаете факелом содержимое котла, держа его в руках. Смола мгновенно вспыхивает, а котёл нагревается, так что вы его не удерживаете и опрокидываете прямо на себя.')
				p('«ААААА!!!» — огласил окрестности ужасный вопль, открывший счёт жертвам этого дня.')
				p('Главное, вы так и не исполнили свой долг перед Великой империей, да и погибли не очень-то по-геройски.')
				end(0)
				return true
			} else {
				p('Вы бросаете в котёл со смолой горящий факел, от чего она вспыхивает и начинает распространять едкий чёрный дым.')
				p('Остаётся надеяться, что гарнизон в городе вчера напился не так сильно, как на вашей заставе, и там найдётся кто-нибудь, способный заметить сигнал тревоги. Ну а вам теперь имеет смысл позаботиться не только о Великой империи, но и о себе, ведь облако уже в '+cloud.steps+' шаг'+numok(cloud.steps, 'е', 'ах', 'ах')+' отсюда.')
				if(!cloud.stepsReported) {
					p('Да-да, ничего удивительного, ведь у вас с рождения замечательный глазомер, наряду с потрясающим чувством направления. Если бы не ваша тщедушность, то возможно попали бы в лучники, а не в пограничную стражу.')
					cloud.stepsReported = true
				}
				rewardCalc(5)
				if(player.loc === 'roof') {
					this.sceneDesc = 'Из котла с горящей смолой поднимается чёрный дым.'
					this.desc = 'Котёл с горящей внутри него смолой, от которой поднимается чёрный дым, гонимый ветром высоко над землёй.'
				} else if(player.loc === 'lowerRoom' || player.loc === 'upperRoom' || player.loc === 'quarry' || player.loc === 'chapel') {
					this.sceneDesc = 'Всё помещение заполняет чёрный дым из котла с горящей смолой.'
					this.desc = 'Котёл с горящей внутри него смолой, чёрный дым от которой заполняет всё помещение, мешая дышать.'
				} else {
					this.sceneDesc = 'По земле стелется чёрный дым из котла с горящей смолой.'
					this.desc = 'Котёл с горящей внутри него смолой, от которой поднимается чёрный дым, гонимый ветром низко над землёй.'
				}
				this.nam.push('горящая', 'горящей', 'горящую', 'дым', 'дыма', 'дыму', 'дымом', 'дыме', 'чёрный', 'чёрного', 'чёрному', 'чёрным', 'чёрном', 'черный', 'черного', 'черному', 'черным', 'черном', 'едкий', 'едкого', 'едкому', 'едким', 'едком')
				remove(torch)
				this.burning = true
				this.filled = false
				this.takeable = false
			}
		} else if(this.filled && torch.loc === player.loc)
			p('Для этого следует взять факел в руки.')
		else if(this.filled && altar.loc === player.loc)
			p('Поджечь смолу в котле от лампадки, закреплённой на алтаре, невозможно. Их просто не получается соприкоснуть.')
		else if(this.filled)
			p('У вас нет ничего, чем можно было бы '+verb+' смолу в котле.')
		else
			p('Нет смысла пытаться '+verb+' '+obj.nam[3]+'.')
		return true
	},
	pour: function() {
		if(this.filled) {
			this.filled = false
			this.desc = 'Ужасно грязный котёл, который вы вчера пытались очистить песком весь вечер, а сегодня вымазали смолой.'
			p('Вы опрокидываете котёл, выливая практически всю смолу, которая растекается по земле, впитывается в неё и исчезает. Как бы вам потом не попало от старших воинов за порчу казённого имущества.')
			return true
		}
	},
	rub: function() {
		p('Вы итак вчера чистили этот проклятый котёл весь вечер.')
		return true
	},
	smell: function() {
		if(resin.loc === '') {
			if(this.burning)
				p('От горящей в котле смолы исходит едкий запах.')
			else
				p('Котёл пахнет смолой.')
			return true
		}
	},
	take: function() {
		if(this.burning) {
			p('Котёл с горящей в нём смолой очень сильно нагрелся, так что его невозможно взять в руки.')
			return true
		} else {
			take(this)
			return true
		}
	},
	touch: function() {
		if(this.burning) {
			p('Горящая смола в котле обжигает.')
			return true
		}
	}
}

var lowerRoom = {
	spec: 'room',
	head: 'Нижнее помещение',
	desc: 'Тёмный первый этаж башни, который освещается только тусклым светом, попадающим внутрь через проём в западной стене и люк в потолке. У стены стоит бочка и сундук. Вверх к люку уходят шаткие ступени. Из-за толстого слоя навоза, покрывающего весь пол, складывается впечатление, что несколько последних лет помещение использовалось как хлев.',
	w: 'nearTower',
	u: 'upperRoom',
	o: 'w'
}

var wall = {
	spec: 'thing',
	nam: ['стена', 'стены', 'стене', 'стену', 'стеной', 'стенах', 'стен', 'стенам', 'стенами', 'стенах', 'проём', 'проёма', 'проёму', 'проёмом', 'проёме', 'проем', 'проема', 'проему', 'проемом', 'проеме'],
	desc: 'Просто стена. Ничего примечательного.',
	loc: ['nearTower', 'lowerRoom', 'upperRoom', 'quarry', 'chapel'],
	hidden: true
}

var ceiling = {
	spec: 'thing',
	nam: ['потолок', 'потолка', 'потолку', 'потолок', 'потолком', 'потолке', 'дыра', 'дыры', 'дыре', 'дыру', 'дырой', 'крыша', 'крыши', 'крыше', 'крышу', 'крышей', 'дырка', 'дырки', 'дырке', 'дырку', 'дыркой'],
	loc: ['lowerRoom', 'upperRoom', 'quarry', 'chapel'],
	hidden: true
}

var barrel = {
	spec: 'thing',
	nam: ['большая бочка', 'большой бочки', 'большой бочке', 'большую бочку', 'большой бочкой', 'большой бочке', 'бочонок', 'бочонка', 'бочонку', 'бочонком', 'бочонке', 'большого', 'большому', 'большим', 'большом'],
	desc: 'Большая бочка, в которой есть немного смолы.',
	loc: 'lowerRoom',
	hidden: true,
	smell: function() {
		p('Большая бочка пахнет смолой.')
		return true
	},
	take: function() {
		p('Бочка слишком большая и тяжёлая, так что в одиночку вам с ней не справится.')
		return true
	},
	burn: function(obj, option, verb) {
		if(torch.loc === 'player')
			p('Ну уж нет! Так можно и пожар здесь устроить.')
		else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	}
}

var resin = {
	spec: 'thing',
	nam: ['смола', 'смолы', 'смоле', 'смолу', 'смолой', 'смоле', 'тягучая', 'тягучей', 'тягучую'],
	desc: 'Тягучая смола, налитая в большую бочку.',
	loc: 'lowerRoom',
	hidden: true,
	smell: function() {
		p('Как это ни странно, но смола пахнет ничем иным, как смолой.')
		return true
	},
	take: function() {
		if(boiler.loc === 'player') {
			boiler.nam = boiler.nam.concat(resin.nam)
			boiler.filled = true
			remove(resin)
			barrel.desc = 'Большая бочка, в которой теперь ничего нет.'
			boiler.desc = 'Грязный котёл, наполненный смолой.'
			p('Вы аккуратно наклоняете бочку и набираете из неё практически всю смолу в котёл, воспользовавшись им как черпаком.')
		} else p('Вам не во что набрать смолы. Не руками же её брать.')
		return true
	},
	pour: function() {
		return this.take(this)
	},
	touch: function() {
		p('Вам совсем не хочется трогать смолу голыми руками.')
		return true
	},
	burn: function(obj, option, verb) {
		if(torch.loc === 'player')
			p('Ну уж нет! Так можно и пожар здесь устроить.')
		else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	}
}

var chest = {
	spec: 'thing',
	nam: ['окованный сундук', 'окованного сундука', 'окованному сундуку', 'окованный сундук', 'окованным сундуком', 'окованном сундуке', 'железо', 'железа', 'железу', 'железом', 'железе', 'закрытый', 'закрытого', 'закрытому', 'закрытым', 'закрытом', 'запертый', 'запертого', 'запертому', 'запертым', 'запертом'],
	desc: 'Закрытый окованный железом сундук. Наверное в нём хранят оружие, чтобы его не растащили крестьяне.',
	loc: 'lowerRoom',
	hidden: true,
	closed: true,
	locked: true,
	unlock: function() {
		p('Для этого вам нужен ключ или какой-то более грубый инструмент.')
		return true
	},
	take: function() {
		p('Сундук настолько тяжёлый, что сдвинуть его с места смогут только несколько человек.')
		return true
	},
	burn: function(obj, option, verb) {
		if(torch.loc === 'player')
			p('Ну уж нет! Так можно и пожар здесь устроить.')
		else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	}
}

var ladder = {
	spec: 'thing',
	nam: ['лестница', 'лестницы', 'лестнице', 'лестницу', 'лестницей', 'лестнице', 'ступени', 'ступеней', 'ступеням', 'ступенями', 'ступенях', 'ступень', 'ступенью', 'ступеньки', 'ступенек', 'ступенькам', 'ступеньками', 'ступеньках', 'ступенька', 'ступенькой', 'шаткие', 'шатких', 'шатким', 'шаткими'],
	desc: 'Лестница из шатких ступеней, ведущих к люку.',
	loc: ['lowerRoom', 'upperRoom'],
	hidden: true
}

var floor = {
	spec: 'thing',
	nam: ['пол', 'пола', 'полу', 'пол', 'полом', 'поле', 'полы', 'полов', 'полам', 'полами', 'полах', 'навоз', 'навоза', 'навозу', 'навозом', 'навозе', 'слой', 'слоя', 'слою', 'слоем', 'слое', 'помёт', 'помёта', 'помёту', 'помётом', 'помёте', 'помет', 'помета', 'помету', 'пометом', 'помете', 'птичий', 'птичьего', 'птичьему', 'птичьим', 'птичьем', 'загаженный', 'загаженного', 'загаженному', 'загаженным', 'загаженном'],
	desc: 'Загаженный пол башни.',
	loc: ['lowerRoom', 'upperRoom', 'roof', 'quarry', 'chapel'],
	hidden: true,
	smell: function() {
		p('Пол, разумеется, ничем хорошим не пахнет.')
		return true
	}
}

var knife = {
	spec: 'thing',
	nam: ['кинжал', 'кинжала', 'кинжалу', 'кинжал', 'кинжалом', 'кинжале', 'лезвие', 'лезвия', 'лезвию', 'лезвием', 'клинок', 'клинка', 'клинку', 'клинком', 'клинке', 'ржавое', 'ржавого', 'ржавому', 'ржавым', 'ржавом', 'ржавый', 'ржавчина', 'ржавчины', 'ржавчине', 'ржавчину', 'ржавчиной'],
	desc: 'Кинжал с ржавым клинком.',
	loc: 'lowerRoom',
	takeable: true
}

var upperRoom = {
	spec: 'room',
	head: 'Верхнее помещение',
	desc: 'Второй этаж башни со смотровыми бойницами, прорубленными в стенах по всем направлениям. В полу есть люк, куда уходят шаткие ступени. Помещение оставляет впечатление давно заброшенного, чему способствует накапливавшийся годами птичий помёт, попадающий сюда через дыру в потолке, с которого на цепи свисает большой гонг.',
	d: 'lowerRoom',
	u: 'roof',
	walk: function(obj, dir) {
		if(dir === 'u') {
			if(tripod.loc === 'upperRoom')
				p('Вы вскарабкиваетесь по высокому треножнику вверх к дыре в потолке.')
			else {
				p('Дыра в потолке слишком высоко, так что вам до неё не достать.')
				return true
			}
		}
		if(dir === 'n' || dir === 's' || dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Бойница недостаточно широкая, чтобы в неё можно было пролезть.')
			return true
		}
	},
	o: 'd'
}

var loophole = {
	spec: 'thing',
	nam: ['бойница', 'бойницы', 'бойнице', 'бойницу', 'бойницей', 'бойнице', 'амбразура', 'амбразуры', 'амбразуре', 'амбразуру', 'амбразурой', 'щель', 'щели', 'щелью', 'окно', 'окна', 'окну', 'окном', 'окне', 'смотровая', 'смотровой', 'смотровую', 'бойниц', 'бойницам', 'бойницами', 'бойницах', 'амбразур', 'амбразурам', 'амбразурами', 'амбразурах', 'щелей', 'щелям', 'щелями', 'щелях', 'окон', 'окнам', 'окнами окнах', 'смотровых', 'смотровым', 'смотровыми'],
	desc: 'Амбразуры, через которые просматривается вся окрестность, но ваше внимание привлекает южный вид на пустыню, откуда быстро приближается пылевое облако.',
	loc: 'upperRoom',
	hidden: true
}

var gong = {
	spec: 'thing',
	nam: ['большой гонг', 'большого гонга', 'большому гонгу', 'большой гонг', 'большим гонгом', 'большом гонге', 'сигнальный', 'сигнального', 'сигнальному', 'сигнальным', 'сигнальном', 'цепь', 'цепи', 'цепью', 'там-там', 'там-тама', 'там-таму', 'там-тамом', 'там-таме'],
	desc: 'Большой сигнальный гонг, подвешенный к потолку на цепи.',
	loc: 'upperRoom',
	hidden: true,
	attack: function(obj, option, verb) {
		if(clapper.loc === 'player') {
			p('Вы ударяете по большому гонгу колотушкой, от чего раздаётся громкий пульсирующий звон:<br>«БАМММ-УУУАААМММ-УУУАААМММ-УУУАААМММ!..»<br>То нарастающий, то спадающий звук разносится далеко по окрестностям, а у вас из-за близости к его источнику и многократного отражения от стен закладывает уши.')
			rewardCalc(1)
		} else
			p('Вы ударяете по гонгу рукой, но это не даёт практически никакого звука.')
		return true
	},
	take: function() {
		p('Гонг удерживается цепью, на которой он подвешен к потолку.')
		return true
	},
	disrobe: function() {
		return this.take(this)
	}
}

var clapper = {
	spec: 'thing',
	nam: ['колотушка', 'колотушки', 'колотушке', 'колотушку', 'колотушкой', 'колотушке', 'ручка', 'ручки', 'ручке', 'ручку', 'ручкой', 'рукоятка', 'рукоятки', 'рукоятке', 'рукоятку', 'рукояткой', 'рукоять', 'рукояти', 'рукоятью', 'голова', 'головы', 'голове', 'голову', 'головой', 'войлок', 'войлока', 'войлоку', 'войлоком', 'деревянная', 'деревянной', 'деревянную', 'войлочная', 'войлочной', 'войлочную'],
	desc: 'Колотушка с длинной деревянной ручкой и войлочной головой.',
	loc: 'upperRoom',
	takeable: true,
	burn: function(obj, option, verb) {
		if(altar.loc === player.loc) {
			if(this.loc === 'player') {
				if(this.burned === 0) {
					p('Вы не уверены, что это хороший поступок. За такое вольное обращение со священным огнём вас могут покарать небеса. Такой страшный поступок может быть прощён, только если он будет совершён во имя благополучия Великой империи.')
					this.burned = 1
				} else {
					p('Что ж, была не была!..')
					p('Вы подносите колотушку к лампадке на алтаре, и огонь быстро перескакивает на её войлочную голову, после чего у вас в руках оказывается горящий факел.')
					torch.loc = this.loc
					torch.nam = torch.nam.concat(clapper.nam)
					remove(this)
				}
			} else p('Вы не несёте колотушку.')
		} else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	},
	burned: 0
}

var torch = {
	spec: 'thing',
	nam: ['факел', 'факела', 'факелу', 'факел', 'факелом', 'факеле', 'горящий', 'горящего', 'горящему', 'горящим', 'горящем', 'сгоревший', 'сгоревшего', 'сгоревшему', 'сгоревшим', 'сгоревшем', 'тлеющий', 'тлеющего', 'тлеющему', 'тлеющим', 'тлеющем'],
	desc: 'Горящий факел из колотушки.',
	loc: '',
	takeable: true,
	burn: function() {
		p('Факел итак уже горит.')
		return true
	},
	touch: function() {
		p('Горящий факел обжигает.')
		return true
	},
	size: 15,
	sizeArr: ['четырнадцать пятнадцатых', 'тринадцать пятнадцатых', 'четыре пятых', 'одиннадцать пятнадцатых', 'две трети', 'три пятых', 'восемь пятнадцатых', 'семь пятнадцатых', 'две пятых', 'одну треть', 'четыре пятнадцатых', 'одну пятую', 'две пятнадцатых', 'одну пятнадцатую']
}

var roof = {
	spec: 'room',
	head: 'Крыша',
	desc: 'Производящая впечатление полной заброшенности сигнальная площадка сторожевой башни, покрытая толстым слоем птичьего помёта, часть которого провалилась и вниз через люк в полу. Отсюда хорошо видно большое пылевое облако, затягивающее весь горизонт в южном направлении.',
	d: 'upperRoom',
	walk: function(obj, dir) {
		if(dir === 'n' || dir === 's' || dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('— ААААА!!! — истошно орёте вы, сделав неосторожный шаг в сторону неогороженного края смотровой площадки и сорвавшись вниз.')
			p('«ШМЯК!» — примерно с таким неприятным звуком вы стали первой жертвой событий, развернувшихся на южной границы Великой империи.')
			if(boiler.loc === 'roof' && boiler.burning)
				p('Конечно, вы исполнили свой долг перед Великой империей, но в полной мере насладиться плодами этого вам уже не суждено.')
			else
				p('Главное, вы так и не исполнили свой долг перед Великой империей, да и погибли не очень-то по-геройски.')
			end(0)
			return true
		}
	},
	o: 'd'
}

var hatch = {
	spec: 'thing',
	nam: ['люк', 'люка', 'люку', 'люк', 'люком', 'люке'],
	desc: 'Люк в полу сигнальной площадки, через который вы сюда и попали.',
	loc: ['lowerRoom', 'upperRoom', 'roof'],
	hidden: true
}

var nest = {
	spec: 'thing',
	nam: ['птичье гнездо', 'птичьего гнезда', 'птичьему гнезду', 'птичье гнездо', 'птичьим гнездом', 'птичьем гнезде', 'неописуемое', 'неописуемого', 'неописуемому', 'неописуемым', 'неописуемом', 'сооружение', 'сооружения', 'сооружению', 'сооружением', 'сооружении', 'палки', 'палок', 'палкам', 'палками', 'палках', 'палка', 'палке', 'палку', 'палкой', 'глина', 'глины', 'глине', 'глину', 'глиной'],
	desc: 'Птичье гнездо, представляющее собой неописуемое сооружение из палок и глины.',
	loc: 'roof',
	takeable: true
}

var slope = {
	spec: 'room',
	head: 'Склон холма',
	desc: 'Извилистая тропинка, ведущая сверху вниз от башни на юге, к хижинам деревни на севере. Сбоку от тропы на западе виднеется чуть заметная впадина в земле.',
	n: 'square',
	s: 'nearTower',
	w: 'quarry',
	u: 'nearTower',
	d: 'square',
	i: 'w',
	o: 'n'
}

var huts = {
	spec: 'thing',
	nam: ['хижины', 'хижин', 'хижинам', 'хижины', 'хижинами', 'хижинах', 'хижина', 'хижине', 'хижину', 'хижиной', 'лачуги', 'лачуг', 'лачугам', 'лачугами', 'лачугах', 'лачуга', 'лачуге', 'лачугу', 'лачугой', 'бедные', 'бедных', 'бедным', 'бедными', 'бедная', 'бедной', 'бедную', 'улица', 'улицы', 'улице', 'улицу', 'улицей', 'деревня', 'деревни', 'деревне', 'деревню', 'деревней'],
	desc: 'Несколько бедных лачуг, составляющих единственную улицу деревни.',
	loc: ['slope', 'square'],
	hidden: true
}

var hollow = {
	spec: 'thing',
	nam: ['впадина', 'впадины', 'впадине', 'впадину', 'впадиной', 'впадине', 'каменоломня', 'каменоломни', 'каменоломне', 'каменоломню', 'каменоломней', 'заброшенная', 'заброшенной', 'заброшенную', 'пещера', 'пещеры', 'пещере', 'пещеру', 'пещерой', 'заросшая', 'заросшей', 'заросшую'],
	desc: 'Заросшая впадина в земле, которая ведёт в еле заметную пещеру.',
	loc: 'slope',
	hidden: true
}

var quarry = {
	spec: 'room',
	head: 'Каменоломня',
	desc: 'Каменоломня, из которой когда-то добывались камни для постройки сторожевой башни, но с тех пор она была заброшена, а её вход, расположенный на востоке, зарос и практически не заметен.',
	e: 'slope',
	u: 'slope',
	o: 'e',
	mouses: true,
	timeInside: 0
}

var traces = {
	spec: 'thing',
	nam: ['следы', 'следов', 'следам', 'следы', 'следами', 'следах', 'след', 'следа', 'следу', 'следом', 'следе', 'выработка', 'выработки', 'выработке', 'выработку', 'выработкой'],
	desc: 'Везде на полу, стенах и потолке каменоломни заметны следы выработки. Неплохо тут кто-то вкалывал. Хорошо, что строительство уже закончилось, и вам не надо в нём участвовать.',
	loc: 'quarry',
	hidden: true
}

var square = {
	spec: 'room',
	head: 'Деревенская площадь',
	desc: 'Вытоптанный участок земли, расположенный между теснящимися на западе хижинами и молельней на востоке. К северу уходит дорога, ведущая к городу, а на юге возвышается небольшой холм со сторожевой башней.',
	n: 'road1',
	s: 'slope',
	e: 'chapel',
	u: 'slope',
	walk: function(obj, dir) {
		if(dir === 'w') {
			p('Быстро оббежав хижины и заглянув внутрь, благо из-за бедности они совсем не запирались и даже не имели дверей, вы лишний раз убедились, что всё население деревни, включая воинов вашего дозора, мертвецки пьяно после вчерашнего празднования, так что кроме вас здесь не осталось людей, способных что-то предпринять.')
			return true
		}
	},
	i: 'e',
	o: 'n'
}

var church = {
	spec: 'thing',
	nam: ['молельня', 'молельни', 'молельне', 'молельню', 'молельней', 'молельни', 'молитвенное', 'молитвенного', 'молитвенному', 'молитвенным', 'молитвенном', 'церковь', 'церкви', 'церковью', 'церквушка', 'церквушки', 'церквушке', 'церквушку', 'церквушкой', 'храм', 'храма', 'храму', 'храмом', 'храме', 'здание', 'здания', 'зданию', 'зданием', 'здании'],
	desc: 'Главное здание любого поселения — молельня государственной религии Великой империи. Впрочем, и единственно допустимой, так что не нуждающейся в каком-то определённом названии.',
	loc: 'square',
	hidden: true
}

var door = {
	spec: 'thing',
	nam: ['двери', 'дверей', 'дверям', 'двери', 'дверями', 'дверях', 'дверьми', 'дверь', 'дверью', 'ворота', 'ворот', 'воротам', 'воротами', 'воротах', 'створки', 'створок', 'створкам', 'створками', 'створках', 'створка', 'створке', 'створку', 'створкой'],
	desc: 'Закрытые двери молельни, створки которых связаны верёвкой, чтобы внутрь не мог зайти скот.',
	loc: ['square', 'chapel'],
	hidden: true,
	closed: true,
	door: true,
	close: function() {
		this.desc = 'Закрытые двери молельни.'
	},
	open: function() {
		if(rope.loc != '') {
			p('Открыть двери мешает верёвка, которой связаны их створки, чтобы внутрь молельни не мог зайти скот.')
			return true
		}
		this.desc = 'Открытые двери молельни.'
	},
	lock: function() {
		p('Двери молельни не имеют запора. Их просто связывают верёвкой, чтобы внутрь не мог зайти скот.')
		return true
	},
	unlock: function() {
		return this.lock()
	},
	tie: function() {
		if(rope.loc != '')
			return rope.tie()
		else
		p('Вам нечем связать двери молельни.')
		return true
	},
	untie: function() {
		if(rope.loc != '')
			return rope.untie()
		else
			p('Двери молельни сейчас ничем не связаны.')
		return true
	}
}

var rope = {
	spec: 'thing',
	nam: ['верёвка', 'верёвки', 'верёвке', 'верёвку', 'верёвкой', 'верёвку', 'веревка', 'веревки', 'веревке', 'веревку', 'веревкой', 'верёвочка', 'верёвочки', 'верёвочке', 'верёвочку', 'верёвочкой', 'веревочка', 'веревочки', 'веревочке', 'веревочку', 'веревочкой', 'узел', 'узла', 'узлу', 'узлом', 'узле', 'тугой', 'тугого', 'тугому', 'тугим', 'тугом', 'кусок', 'куска', 'куску', 'куском', 'куске'],
	desc: 'Кусок верёвки, связывающий закрытые створки дверей молельни.',
	hidden: true,
	loc: 'square',
	cut: function(obj, option, verb) {
		if(knife.loc === 'player') {
			p('Вы разрезаете верёвку кинжалом, отбросив её куски куда-то в сторону.')
			door.desc = 'Закрытые двери молельни.'
			remove(this)
		} else
			p('У вас нет ничего, чем можно было бы '+verb+' '+obj.nam[3]+'.')
		return true
	},
	tie: function() {
		p('Верёвка итак уже завязана тугим узлом.')
		return true
	},
	untie: function() {
		p('Верёвка завязана очень тугим узлом, развязать который не получается.')
		return true
	},
	take: function() {
		p('Верёвка привязана к дверям молельни.')
		return true
	}
}

var road = {
	spec: 'thing',
	nam: ['дорога', 'дороги', 'дороге', 'дорогу', 'дорогой', 'дороге', 'участок', 'участка', 'участку', 'участком', 'участке', 'город', 'города', 'городу', 'городом', 'городе', 'вытоптанный', 'вытоптанного', 'вытоптанному', 'вытоптанным', 'вытоптанном', 'ведущая', 'ведущей', 'ведущую', 'площадь', 'площади', 'площадью'],
	desc: 'Дорога, ведущая на север к ближайшему городу, откуда вы вчера приехали с военным комендантом.',
	loc: ['square', 'road1', 'road2', 'road3', 'road4', 'road5', 'road6', 'road7', 'road8', 'road9'],
	hidden: true
}

var pettyOfficer = {
	spec: 'thing',
	nam: ['старшина', 'старшины', 'старшине', 'старшину', 'старшиной', 'старшине', 'воин', 'воина', 'воину', 'воином', 'воине', 'старший', 'старшего', 'старшему', 'старшим', 'старшом', 'пьяный', 'пьяного', 'пьяному', 'пьяным', 'пьяном', 'мухи', 'мух', 'мухам', 'мухами', 'мухах', 'муха', 'мухе', 'муху', 'мухой', 'спящий', 'спящего', 'спящему', 'спящим', 'спящем', 'мужчина', 'мужчины', 'мужчине', 'мужчину', 'мужчиной', 'мужик', 'мужика', 'мужику', 'мужиком', 'мужике', 'крупный', 'крупного', 'крупному', 'крупным', 'крупном', 'губы', 'губ', 'губам', 'губами', 'губах', 'губа', 'губе', 'губу', 'губой'],
	desc: 'Спящий на земле старшина вашего дозора. Он мертвецки пьян и не реагирует даже на мух, ползающих по его губам.',
	sceneDesc: 'Посреди площади на земле спит мертвецки пьяный старшина дозора.',
	loc: 'square',
	wake: function() {
		p('Вы попытались разбудить старшину вашего дозора, но безрезультатно. Судя по его виду, вряд ли это получится в ближайшие часы.')
		rewardCalc(2)
		return true
	},
	take: function() {
		p('Старшина — мужчина крупный, так что вам не под силу его куда-то нести.')
		return true
	},
	smell: function() {
		p('От старшины несёт страшным перегаром.')
		return true
	}
}

var chicken = {
	spec: 'thing',
	nam: ['курица', 'курицы', 'курице', 'курицу', 'курицей', 'курице', 'курочка', 'курочки', 'курочке', 'курочку', 'курочкой', 'птица', 'птицы', 'птице', 'птицу', 'птицей', 'рыжая', 'рыжей', 'рыжую'],
	desc: 'Рыжая курица, прохаживающаяся по деревенской площади и периодически что-то клюющая с земли.',
	loc: 'square',
	takeable: true,
	take: function() {
		p('«Ко-ко-ко-ко-ко!» — кудахчет курица, уворачиваясь от ваших рук и убегая в направлении северной дороги, попутно от испуга выронив из под хвоста не до конца сформировавшееся яйцо.')
		p('Хорошо, что никто не видел, как вы, в такой драматический для Великой империи момент, заняты тем, что щупаете кур.')
		egg.loc = this.loc
		remove(this)
		return true
	},
	smell: function() {
		p('От курицы пахнет куриным помётом.')
		return true
	},
	eat: function() {
		return this.take()
	},
	touch: function() {
		return this.take()
	}
}

var egg = {
	spec: 'thing',
	nam: ['яйцо', 'яйца', 'яйцу', 'яйцо', 'яйцом', 'яйце', 'яичко', 'яичка', 'яичку', 'яичком', 'яичке', 'куриное', 'куриного', 'куриному', 'куриным', 'курином', 'скорлупа', 'скорлупы', 'скорлупе', 'скорлупу', 'скорлупой', 'мягкая', 'мягкой', 'мягкую'],
	desc: 'Не до конца сформировавшееся куриное яйцо с мягкой скорлупой.',
	loc: '',
	takeable: true,
	edible: true,
	burn: function() {
		if(altar.loc === player.loc || torch.loc === player.loc || torch.loc === 'player' || (boiler.loc === player.loc && boiler.burning))
			p('Для приготовления яичницы вам не хватает сковородки.')
		else
			p('У вас нет ничего, на чём можно было бы поджарить яйцо.')
		return true
	},
	eat: function() {
		if(this.loc === 'player') {
			p('Вы съедаете яйцо прямо сырым. Один лекарь, как-то проходивший через вашу деревню, говорил, что это опасно, потому что от сырых яиц можно заразиться каким-то там сальмонеллёзом, но вы тогда измазали его смолой, вываляли в перьях и вышвырнули за околицу, потому что нечего разговаривать колдовскими словами, да и борода у него была странная. В общем всё в порядке; было вкусно.')
			remove(this)
		} else p('Ну не прямо же с земли его есть, как свинья.')
		return true
	},
	smell: function() {
		p('От яйца пахнет куриным помётом.')
		return true
	},
	touch: function() {
		p('Яйцо до конца не сформировалось, так что его скорлупа на ощупь очень мягкая.')
		return true
	}
}

var chapel = {
	spec: 'room',
	head: 'Молельня',
	desc: 'Молитвенное помещение с подобающей религиозной символикой и алтарём у дальней стены. Возле двери на западе лежит ящик для пожертвований.',
	w: 'square',
	o: 'w'
}

var decoration = {
	spec: 'thing',
	nam: ['убранство', 'убранства', 'убранству', 'убранство', 'убранством', 'убранстве', 'символика', 'символики', 'символике', 'символику', 'символикой'],
	desc: 'Убранство молельни не отличается разнообразием, состоя из одной и той же религиозной символики, изображённой на полу, стенах и потолке.',
	loc: 'chapel',
	hidden: true
}

var altar = {
	spec: 'thing',
	nam: ['алтарь', 'алтаря', 'алтарю', 'алтарь', 'алтарём', 'алтаре', 'алтарем', 'лампада', 'лампады', 'лампаде', 'лампаду', 'лампадой', 'лампа', 'лампы', 'лампе', 'лампу', 'лампой', 'лампадка', 'лампадки', 'лампадке', 'лампадку', 'лампадкой', 'огонь', 'огня', 'огню', 'огнём', 'огне', 'огнем', 'огонёк', 'огонька', 'огоньку', 'огоньком', 'огоньке', 'огонек', 'изображение', 'изображения', 'изображению', 'изображением', 'изображении', 'бог', 'бога', 'богу', 'богом', 'боге', 'божество', 'божества', 'божеству', 'божеством', 'божестве'],
	desc: 'Алтарь с изображением божества, перед которым горит лампадка для... В общем подробно вам это никогда не объясняли, но это точно очень важно для существования всего сущего и несущего.',
	loc: 'chapel',
	hidden: true,
	burn: function() {
		p('На алтаре итак уже горит лампадка.')
		return true
	},
	take: function() {
		p('Алтарь с лампадкой вделаны в стену молельни.')
		return true
	},
	touch: function() {
		p('От огня лампадки на алтаре чувствуется тепло.')
		return true
	}
}

var box = {
	spec: 'thing',
	nam: ['ящик', 'ящика', 'ящику', 'ящик', 'ящиком', 'ящике'],
	desc: 'Ящик для сбора пожертвований, в котором сейчас есть одна медная монета.',
	loc: 'chapel',
	hidden: true,
	take: function() {
		p('Ящик для пожертвований намертво приделан к полу.')
		return true
	}
}

var coin = {
	spec: 'thing',
	nam: ['монета', 'монеты', 'монете', 'монету', 'монетой', 'монете', 'монетка', 'монетки', 'монетке', 'монетку', 'монеткой', 'мелкая', 'мелкой', 'мелкую', 'медная', 'медной', 'медную', 'профиль', 'профиля', 'профилю', 'профилем', 'профиле', 'правитель', 'правителя', 'правителю', 'правителем', 'правителе', 'пожертвование', 'пожертвования', 'пожертвованию', 'пожертвованием', 'пожертвовании', 'пожертвований', 'пожертвованиям', 'пожертвованиями', 'пожертвованиях', 'деньги', 'денег', 'деньгам', 'деньгами', 'деньгах', 'деньга', 'деньге', 'деньгой'],
	desc: 'Мелкая медная монетка с профилем правителя Великой империи.',
	loc: 'chapel',
	hidden: true,
	take: function() {
		if(!this.takeable) {
			if(this.taken === 0) {
				p('Вы не уверены, что это хороший поступок. За воровство из молельни вас могут покарать небеса, даже если вам удастся скрыться от закона. Такой страшный поступок может быть прощён, только если он будет совершён во имя благополучия Великой империи.')
				this.taken = 1
				return true
			} else {
				p('Что ж, была не была!..')
				box.desc = 'Ящик для сбора пожертвований, в котором сейчас ничего нет.'
				this.hidden = false
				this.takeable = true
			}
		}
		take(this)
		return true
	},
	taken: 0
}

var tripod = {
	spec: 'thing',
	nam: ['треножник', 'треножника', 'треножнику', 'треножник', 'треножником', 'треножнике', 'тренога', 'треноги', 'треноге', 'треногу', 'треногой', 'штатив', 'штатива', 'штативу', 'штативом', 'штативе', 'высокая', 'высокой', 'высокую', 'высокий', 'высокого', 'высокому', 'высоким', 'высоком'],
	desc: 'Высокий треножник, использующийся для установки на него изображения божества во время совершения массовых религиозных обрядов.',
	sceneDesc: 'В центре стоит высокий треножник.',
	loc: 'chapel',
	take: function() {
		if(!this.takeable) {
			if(this.taken === 0) {
				p('Вы не уверены, что это хороший поступок. За воровство из молельни вас могут покарать небеса, даже если вам удастся скрыться от закона. Такой страшный поступок может быть прощён, только если он будет совершён во имя благополучия Великой империи.')
				this.taken = 1
				return true
			} else {
				p('Что ж, была не была!..')
				this.takeable = true
			}
		}
		take(this)
		return true
	},
	taken: 0
}

var road1 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road2',
	s: 'square',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var fields = {
	spec: 'thing',
	nam: ['поле', 'поля', 'полю', 'поле', 'полем', 'поле', 'полей', 'полям', 'полями', 'полях', 'равнина', 'равнины', 'равнине', 'равнину', 'равниной', 'тянущиеся', 'тянущихся', 'тянущимся', 'тянущимися'],
	desc: 'Тянущиеся вдоль дороги поля, мало пригодные к возделыванию из-за близости сухого дыхания пустыни.',
	loc: ['road1', 'road2', 'road3', 'road4', 'road5', 'road6', 'road7', 'road8', 'road9'],
	hidden: true
}

var road2 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road3',
	s: 'road1',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var road3 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road4',
	s: 'road2',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var road4 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road5',
	s: 'road3',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var road5 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road6',
	s: 'road4',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var road6 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road7',
	s: 'road5',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var road7 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road8',
	s: 'road6',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var road8 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	n: 'road9',
	s: 'road7',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
	},
	o: 'n'
}

var road9 = {
	spec: 'room',
	head: 'На дороге',
	desc: 'Однообразные безлюдные поля, по которым с юга на север пролегает дорога к ближайшему городу.',
	s: 'road8',
	walk: function(obj, dir) {
		if(dir === 'e' || dir === 'w' || dir === 'ne' || dir === 'nw' || dir === 'se' || dir === 'sw') {
			p('Нет никакого смысла сходить с дороги: в этой местности есть только два поселения, которые она и соединяет, а спрятаться на равнине всё равно негде.')
			return true
		}
		if(dir === 'n') {
			cloud.steps = 0
			return true
		}
	},
	o: 'n'
}

var horseshoe = {
	spec: 'thing',
	nam: ['подкова', 'подковы', 'подкове', 'подкову', 'подковой', 'подкове', 'подковка', 'подковки', 'подковке', 'подковку', 'подковкой', 'железная', 'железной', 'железную'],
	desc: 'Железная подкова, которая, как вы где-то слышали, приносит удачу.',
	loc: '',
	takeable: true
}

var mouse = {
	spec: 'thing',
	nam: ['дохлая мышь', 'дохлой мыши', 'дохлой мыши', 'дохлую мышь', 'дохлой мышью', 'дохлой мыши', 'мышка', 'мышки', 'мышке', 'мышку', 'мышкой', 'полёвка', 'полёвки', 'полёвке', 'полёвку', 'полёвкой', 'полевка', 'полевки', 'полевке', 'полевку', 'полевкой', 'полевая', 'полевой', 'полевую'],
	desc: 'Дохлая полевая мышь. Видно окружающие поля настолько скудны, что на них даже мыши дохнут от голода.',
	loc: '',
	takeable: true
}

var nail = {
	spec: 'thing',
	nam: ['гвоздь', 'гвоздя', 'гвоздю', 'гвоздь', 'гвоздём', 'гвозде', 'гвоздем', 'гвоздик', 'гвоздика', 'гвоздику', 'гвоздиком', 'гвоздике', 'железный', 'железного', 'железному', 'железным', 'железном'],
	desc: 'Ничем не примечательный железный гвоздь.',
	loc: '',
	takeable: true
}

var shard = {
	spec: 'thing',
	nam: ['черепок', 'черепка', 'черепку', 'черепок', 'черепком', 'черепке', 'осколок', 'осколка', 'осколку', 'осколком', 'осколке', 'посудина', 'посудины', 'посудине', 'посудину', 'посудиной', 'посуда', 'посуды', 'посуде', 'посуду', 'посудой', 'глиняная', 'глиняной', 'глиняную'],
	desc: 'Осколок какой-то глиняной посудины.',
	loc: '',
	takeable: true
}

var walnut = {
	spec: 'thing',
	nam: ['орех', 'ореха', 'ореху', 'орех', 'орехом', 'орехе', 'плод', 'плода', 'плоду', 'плодом', 'плоде', 'обычный', 'обычного', 'обычному', 'обычным', 'обычном', 'орешек', 'орешка', 'орешку', 'орешком', 'орешке'],
	desc: 'Обычный плод орехового дерева.',
	loc: '',
	takeable: true,
	edible: true,
	eat: function() {
		if(this.loc === 'player') {
			p('Чуть не сломав зубы, вы разгрызаете и съедаете орех.')
			remove(this)
		} else p('Ну не прямо же с земли его есть, как свинья.')
		return true
	}
}

function spreading(items, locations) {
	var n
	for (var i in items) {
		n = Math.floor(Math.random()*(locations.length + 1))
		items[i].loc = locations[n]
		locations.splice(n, 1)
	}
}

function caps(str) {
	return str[0].toUpperCase() + str.slice(1)
}

function goIn(obj) {
	if(obj === undefined) {
		if('i' in window[player.loc])
			walk(player.loc, window[player.loc]['i'])
		else
			p('Здесь некуда войти.')
	} else
		p('Не выпендривайтесь и используйте команды в виде названий направлений. Они не просто так указаны в описаниях. Вообще-то это даже короче, так что у вас явно слишком много свободного времени.')
}

function goOut() {
	if('o' in window[player.loc])
		walk(player.loc, window[player.loc]['o'])
	else
	p('Отсюда некуда выйти.')
}

function pray() {
	if(player.loc === 'chapel') {
		if(game.glb_pray === 0) {
			p('Вы вознесли краткую молитву, и вам показалось, что огонь в лампаде на алтаре слегка колыхнулся. Хотелось бы верить, что это произошло не от сквозняка, и вас всё-таки услышали.')
			game.glb_pray = 1
		} else
			p('Не стоит утомлять небеса своими бесконечными мольбами.')
	} else
		p('Вы не в молельне, чтобы молиться.')
}

function xyzzy() {
	if(game.glb_xyzzy === 0) {
		p('Запомните на всю жизнь: не надо использовать слова, точное значение которых вам не известно!')
		p('Кроме того, ваша попытка получить неконкурентное преимущество перед остальными менее опытными игроками за счёт использования инсайдерских команд, не вытекающих из внутренней логики игровой ситуации, является неэтичной и нарушает спортивные принципы.')
		p('За следующее использование xyzzy в этой игре вам в дисциплинарных целях будет засчитано техническое поражение.')
		game.glb_xyzzy = 1
	} else {
		p('За попытку получить неконкурентное преимущество посредством инсайдерских команд вам засчитано техническое поражение.')
		p('С учётом ранее сделанного предупреждения, которое вы проигнорировали, в отношении вас констатируется подозрение на парадоксальный или активный негативизм, который может являться симптомом кататонической шизофрении, прогрессивного паралича и деменции. Рекомендуем обратиться к психиатру за более подробной консультацией.')
		p('Все ваши результаты аннулированы.')
		game.turn = game.points = 0
		end(0)
	}
}